Subject: Re: submodules' shortcomings, was Re: RFC: display dirty submodule working directory in git gui and gitk

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 4 Jan 2010 14:27:01 -0800

Johannes Schindelin <[email-masked]> wrote:
> Besides, as long as there is enough reason to have out-of-Git alternative 
> solutions such as repo, submodules deserve to be 2nd-class citizens.

If I didn't think I'd be shot by current submodule users, I'd offer
to write a full replacement based around the current in repository
format, but with sane features like we have in repo.

Actually, that's why repo happened.  I felt like submodules was
already too frozen to accept a different approach.  And another
guy here thought XML might be a solution to a problem...  :-|

-- 
Shawn.